Subject: Re: [PATCH] Debian packaging for 0.99.4

From: Martin Langhoff <[email-masked]>
Date: Sat, 13 Aug 2005 10:54:21 +1200

> I just noticed from "dpkg --info" output that the generated
> git-tk has "Architecture: i386".  Shouldn't it read "all" and
> resulting package also named git-tk_${VERSION}_all.deb, instead
> of whatever architecture I happened to build it?

It is correct to have Architecture: i386, as you'd naturally have
multiple binary packages. When this is uploaded to the Debian archive,
all the other architectures are built in the "buildd" farm. That's why
the source package 'native' arch is 'any'.

Packages with arch 'all' are interpreted languages. The cogito package
will probably be for 'all' arches, and just be one binary package.

cheers,

martin